Skip to main content
PATCH
/
v1
/
table
/
{table_uuid}
/
rows
Partial update of multiple rows
curl --request PATCH \
  --url https://api.databar.ai/v1/table/{table_uuid}/rows \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "overwrite": true,
  "return_rows": false,
  "rows": [
    {
      "fields": {
        "first_name": "Ivan",
        "title": "CTO"
      },
      "id": "91f0e833-5dfc-4f63-be96-e3a28925190f"
    }
  ]
}
'
{
  "results": [
    {
      "id": "91f0e833-5dfc-4f63-be96-e3a28925190f",
      "ok": true
    },
    {
      "error": {
        "code": "ROW_NOT_FOUND"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "ok": false
    }
  ]
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

table_uuid
string<uuid>
required

The UUID of the table

Body

application/json
rows
BatchUpdateRow · object[]
required

List of rows to update (max 50).

Required array length: 1 - 50 elements
overwrite
boolean
default:true

If false, only empty fields are updated; existing values are kept.

return_rows
boolean
default:false

If true, each result includes full row_data after the update.

Response

Successful Response

results
BatchUpdateResultItem · object[]
required